/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_BACKENDS_OMNETPP_NODE_PROCESSOR_INDEXING_FIXEDINDEXER_H_INCLUDED
#define SSTMAC_BACKENDS_OMNETPP_NODE_PROCESSOR_INDEXING_FIXEDINDEXER_H_INCLUDED

#include "indexer.h"

namespace sstmac { namespace omnetpp {

  class fixedindexer : public indexer {
  public:
    fixedindexer(space* sp, int n);
    virtual ~fixedindexer();
  };
} }
#endif
