/*
 *  This file is part of SST/macroscale:
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top
 *  SST/macroscale directory.
 */

#include "space.h"

namespace sstmac { namespace omnetpp {

  space::space(int n, int cpp, int ppn, int npr, int nr) :
            numNodes(n), coresPerProc(cpp), procsPerNode(ppn),
            nodesPerRack(npr), numRacks(nr) {
    current = omnetpp_address::construct();
  }

  space::~space() {

  }

} }
