/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_BACKENDS_NATIVE_LAUNCH_LAUNCHHANDLER_H_INCLUDED
#define SSTMAC_BACKENDS_NATIVE_LAUNCH_LAUNCHHANDLER_H_INCLUDED
/*
#include <sstmac/common/eventhandler.h>
#include <sstmac/backends/native/launch/launcher.h>
#include <sstmac/software/ami/environment.h>
#include <sstmac/common/debug.h>


namespace sstmac { namespace sw
  {


  class launchhandler: public eventhandler
  {
  private:
    launcher::ptr launcher_;
    std::vector<nodeaddress::ptr> world_;
    nodelist::ptr nodes_;
  protected:
    /// Hello
    launchhandler(const launcher::ptr &the_launcher,
        std::vector<nodeaddress::ptr> &the_world,
        const nodelist::ptr &nodes) :
          launcher_(the_launcher), world_(the_world), nodes_(nodes), dbg_(
              "launch")
    {
    }

    debug dbg_;

  public:
    typedef boost::intrusive_ptr<launchhandler> ptr;

    /// Make a new object.
    static launchhandler::ptr construct(
        const launcher::ptr &the_launcher,
        std::vector<nodeaddress::ptr> &the_world,
        const nodelist::ptr &nodes)
        {
      return launchhandler::ptr(
          new launchhandler(the_launcher, the_world, nodes));
        }

    /// Goodbye
    virtual ~launchhandler() throw ()
            {
            }

    /// Complete the request.
    virtual void handle(const sst_message::ptr &msg)
    {
      SSTMAC_DEBUG << "launchhandler::handle \n";
      launcher_->run(world_, nodes_);
    }

    virtual std::string to_string() const
    {
      return "launch handler";
    }
  };

  } } // end of namespace sstmac.
*/
#endif
